[kernel] r5600 - dists/trunk/arch/mips/linux-patch-2.6.15-mips-2.6.15/debian/patches

Martin Michlmayr tbm at costa.debian.org
Thu Jan 26 13:32:04 UTC 2006


Author: tbm
Date: Thu Jan 26 13:32:03 2006
New Revision: 5600

Added:
   dists/trunk/arch/mips/linux-patch-2.6.15-mips-2.6.15/debian/patches/32_sb1_probe_ide.dpatch   (contents, props changed)
Modified:
   dists/trunk/arch/mips/linux-patch-2.6.15-mips-2.6.15/debian/patches/00list
Log:
Probe for the SWARM IDE


Modified: dists/trunk/arch/mips/linux-patch-2.6.15-mips-2.6.15/debian/patches/00list
==============================================================================
--- dists/trunk/arch/mips/linux-patch-2.6.15-mips-2.6.15/debian/patches/00list	(original)
+++ dists/trunk/arch/mips/linux-patch-2.6.15-mips-2.6.15/debian/patches/00list	Thu Jan 26 13:32:03 2006
@@ -16,6 +16,7 @@
 28_cobalt_ide.dpatch
 30_sb1_pci_fix.dpatch
 31_sb1_remove_debug.dpatch
+32_sb1_probe_ide.dpatch
 33_sb1_oprofile.dpatch
 40_o2_gbefb_compile_fix.dpatch
 41_o2_nevada.dpatch

Added: dists/trunk/arch/mips/linux-patch-2.6.15-mips-2.6.15/debian/patches/32_sb1_probe_ide.dpatch
==============================================================================
--- (empty file)
+++ dists/trunk/arch/mips/linux-patch-2.6.15-mips-2.6.15/debian/patches/32_sb1_probe_ide.dpatch	Thu Jan 26 13:32:03 2006
@@ -0,0 +1,37 @@
+#! /bin/sh -e
+## 32_sb1_probe_ide.dpatch by Peter Horton <pdh at colonel-panic.org>
+##
+## DP: Make sure we scan SWARM IDE interface for devices.
+## DP: Upstream status: submitted to linux-mips list
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+Index: linux.git/drivers/ide/mips/swarm.c
+===================================================================
+--- linux.git.orig/drivers/ide/mips/swarm.c	2006-01-23 22:48:58.000000000 +0000
++++ linux.git/drivers/ide/mips/swarm.c	2006-01-24 08:32:45.000000000 +0000
+@@ -127,6 +127,7 @@
+ 	memcpy(hwif->io_ports, hwif->hw.io_ports, sizeof(hwif->io_ports));
+ 	hwif->irq = hwif->hw.irq;
+ 
++	probe_hwif_init(hwif);
+ 	dev_set_drvdata(dev, hwif);
+ 
+ 	return 0;
+



More information about the Kernel-svn-changes mailing list